---
title: Geolocation.getCurrentPosition()
slug: Web/API/Geolocation/getCurrentPosition
tags:
  - API
  - Geolocation
  - Geolocation API
  - Method
  - Reference
  - Secure context
  - getCurrentPosition
---
<p>{{securecontext_header}}{{ APIRef("Geolocation API") }}</p>

<p><span class="seoSummary">The <strong><code>Geolocation.getCurrentPosition()</code></strong> method is used to get the current position of the device.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">navigator.geolocation.getCurrentPosition(<var>success</var>[, <var>error</var>[, [<var>options</var>]])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>success</var></code></dt>
 <dd>A callback function that takes a {{domxref("GeolocationPosition")}} object as its sole input parameter.</dd>
 <dt><code><var>error</var></code> {{optional_inline}}</dt>
 <dd>An optional callback function that takes a {{domxref("GeolocationPositionError")}} object as its sole input parameter.</dd>
 <dt><code><var>options</var></code> {{optional_inline}}</dt>
 <dd>An optional {{domxref("PositionOptions")}} object.<br>
 Options includes:
 <ul>
  <li><code>maximumAge</code>: integer (milliseconds) | infinity - maximum cached position age.</li>
  <li><code>timeout</code>: integer (milliseconds) - amount of time before the error callback is invoked, if 0 it will never invoke.</li>
  <li><code>enableHighAccuracy</code>: false | true</li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var options = {
  enableHighAccuracy: true,
  timeout: 5000,
  maximumAge: 0
};

function success(pos) {
  var crd = pos.coords;

  console.log('Your current position is:');
  console.log(`Latitude : ${crd.latitude}`);
  console.log(`Longitude: ${crd.longitude}`);
  console.log(`More or less ${crd.accuracy} meters.`);
}

function error(err) {
  console.warn(`ERROR(${err.code}): ${err.message}`);
}

navigator.geolocation.getCurrentPosition(success, error, options);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Geolocation.getCurrentPosition")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using_the_Geolocation_API">Using the Geolocation API</a></li>
 <li>{{domxref("Navigator.geolocation")}}</li>
</ul>
